package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussBankCard implements Serializable {
    /**
     * 对私账户
     */
    public static final String ACCOUNT_TYPE_PRIVATE = "01";

    /**
     * 对公账户
     */
    public static final String ACCOUNT_TYPE_CORPORATE = "02";

    /**
     * 实名认证
     */
    public static final String ACCOUNT_TYPE_CERT = "03";
    private Integer id;

    private String userid;

    private String bankholder;

    private String bankcardno;

    private String bankname;

    private String branchname;

    private String accounttype;

    private String contactline;

    private String branchprovince;

    private String branchcity;

    private String brancharea;

    private String bankaddressno;

    private String phone;

    private String imgurl;

    private String licenseurl;

    private Date createtime;

    private Date updatetime;
    /**
     * 省码
     */
    private String branchProvinceCode;
    /**
     * 市码
     */
    private String branchCityCode;
    /**
     * 区码
     */
    private String branchAreaCode;

    public String getBranchProvinceCode() {
        return branchProvinceCode;
    }

    public void setBranchProvinceCode(String branchProvinceCode) {
        this.branchProvinceCode = branchProvinceCode;
    }

    public String getBranchCityCode() {
        return branchCityCode;
    }

    public void setBranchCityCode(String branchCityCode) {
        this.branchCityCode = branchCityCode;
    }

    public String getBranchAreaCode() {
        return branchAreaCode;
    }

    public void setBranchAreaCode(String branchAreaCode) {
        this.branchAreaCode = branchAreaCode;
    }

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid == null ? null : userid.trim();
    }

    public String getBankholder() {
        return bankholder;
    }

    public void setBankholder(String bankholder) {
        this.bankholder = bankholder == null ? null : bankholder.trim();
    }

    public String getBankcardno() {
        return bankcardno;
    }

    public void setBankcardno(String bankcardno) {
        this.bankcardno = bankcardno == null ? null : bankcardno.trim();
    }

    public String getBankname() {
        return bankname;
    }

    public void setBankname(String bankname) {
        this.bankname = bankname == null ? null : bankname.trim();
    }

    public String getBranchname() {
        return branchname;
    }

    public void setBranchname(String branchname) {
        this.branchname = branchname == null ? null : branchname.trim();
    }

    public String getAccounttype() {
        return accounttype;
    }

    public void setAccounttype(String accounttype) {
        this.accounttype = accounttype == null ? null : accounttype.trim();
    }

    public String getContactline() {
        return contactline;
    }

    public void setContactline(String contactline) {
        this.contactline = contactline == null ? null : contactline.trim();
    }

    public String getBranchprovince() {
        return branchprovince;
    }

    public void setBranchprovince(String branchprovince) {
        this.branchprovince = branchprovince == null ? null : branchprovince.trim();
    }

    public String getBranchcity() {
        return branchcity;
    }

    public void setBranchcity(String branchcity) {
        this.branchcity = branchcity == null ? null : branchcity.trim();
    }

    public String getBrancharea() {
        return brancharea;
    }

    public void setBrancharea(String brancharea) {
        this.brancharea = brancharea == null ? null : brancharea.trim();
    }

    public String getBankaddressno() {
        return bankaddressno;
    }

    public void setBankaddressno(String bankaddressno) {
        this.bankaddressno = bankaddressno == null ? null : bankaddressno.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getImgurl() {
        return imgurl;
    }

    public void setImgurl(String imgurl) {
        this.imgurl = imgurl == null ? null : imgurl.trim();
    }

    public String getLicenseurl() {
        return licenseurl;
    }

    public void setLicenseurl(String licenseurl) {
        this.licenseurl = licenseurl == null ? null : licenseurl.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}